



core.register_abm({
    nodenames = {"group:sapling"},
    interval = 90.0,
    chance = 20,
    action = function(pos, node, active_object_count, active_object_count_wider)
        aom_util.did_abm("sapling")
        local def = core.registered_nodes[node.name]
        local tree_type = (def and def._tree_type) or ""
        aom_trees.grow_tree.general(pos, tree_type)
    end
})


